;===================================================================;
;                                                                   ;
; Centipede                                                         ;
; Variables                                                         ;
;                                                                   ;
;===================================================================;

;==============================================================================
; Name                                   Location        Description
;==============================================================================
frame                                   = vars+000      ; 1     Frame counter
y                                       = vars+001      ; 1     Player Y coord
x                                       = vars+002      ; 1     Player X coord
score                                   = vars+003      ; 2     Player score
stringBuffer                            = vars+005      ; 6     String buffer
lives                                   = vars+011      ; 1     Player lives
centipedeTable                          = vars+012      ; 120   Centipedes [6 * 20 entries: ON, X, Y, H_DIR, V_DIR, SPEED]
level                                   = vars+132      ; 1     Level number
blockTable                              = vars+133      ; 336   Blocks (14 * 24)
bulletOn                                = vars+469      ; 1     Is there a bullet
bulletX                                 = vars+470      ; 1     Bullet X coord
bulletY                                 = vars+471      ; 1     Bullet Y coord
bugOn                                   = vars+472      ; 1     Is there a bug
bugX                                    = vars+473      ; 1     Bug X coord
bugY                                    = vars+474      ; 1     Bug Y coord
bugFlags                                = vars+475      ; 1     Bug flags
bombOn                                  = vars+476      ; 1     Is there a bomb
bombX                                   = vars+477      ; 1     Bomb X coord
bombY                                   = vars+478      ; 1     Bomb Y coord
birdOn                                  = vars+479      ; 1     Is there a bird
birdX                                   = vars+480      ; 1     Bird X coord
birdY                                   = vars+481      ; 1     Bird Y coord
blocksToDraw                            = vars+482      ; 10    Blocks to draw at end of frame [2 * 5 entries: X, Y]
blocksToDrawPtr                         = vars+492      ; 2     Ptr to next free entry in blocksToDraw
numCentipedes                           = vars+494      ; 1     Number of bits of centipede
collide1                                = vars+495      ; 4     Collision detection object 1
collide2                                = vars+499      ; 4     Collision detection object 2
animTable                               = vars+503      ; 9     Animations [3 * 3 entries: CNT, X, Y]
invincible                              = vars+512      ; 1     Invincibility flag

.end
